@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100
top to bottom direction
skinparam linetype ortho

class AssetEntry {
   entryId: bigint(20)
   ctCollectionId: bigint(20)
   --
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   classUuid: varchar(75)
   classTypeId: bigint(20)
   listable: tinyint(4)
   visible: tinyint(4)
   startDate: datetime(6)
   endDate: datetime(6)
   publishDate: datetime(6)
   expirationDate: datetime(6)
   mimeType: varchar(75)
   title: longtext
   description: longtext
   summary: longtext
   url: longtext
   layoutUuid: varchar(75)
   height: int(11)
   width: int(11)
   priority: double
}
class DDMField {
   fieldId: bigint(20)
   ctCollectionId: bigint(20)
   --
   storageId: bigint(20) <FK>
   structureVersionId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   parentFieldId: bigint(20) <FK>
   mvccVersion: bigint(20)
   fieldName: varchar(255)
   fieldType: varchar(255)
   instanceId: varchar(75)
   localizable: tinyint(4)
   priority: int(11)
}
class DDMFieldAttribute {
   fieldAttributeId: bigint(20)
   ctCollectionId: bigint(20)
   --
   fieldId: bigint(20) <FK>
   storageId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   languageId: varchar(75) <FK>
   attributeName: varchar(255)
   mvccVersion: bigint(20)
   largeAttributeValue: longtext
   smallAttributeValue: varchar(255)
}
class DDMStorageLink {
   storageLinkId: bigint(20)
   ctCollectionId: bigint(20)
   --
   structureId: bigint(20)
   structureVersionId: bigint(20)
   companyId: bigint(20)
   classNameId: bigint(20)
   classPK: bigint(20)
   mvccVersion: bigint(20)
   uuid_: varchar(75)
}
class DDMStructureLink {
   structureLinkId: bigint(20)
   ctCollectionId: bigint(20)
   --
   structureId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
}
class DDMTemplateLink {
   templateLinkId: bigint(20)
   ctCollectionId: bigint(20)
   --
   templateId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
}
class FriendlyURLEntry {
   friendlyURLEntryId: bigint(20)
   ctCollectionId: bigint(20)
   --
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   defaultLanguageId: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
}
class FriendlyURLEntryLocalization {
   friendlyURLEntryLocalizationId: bigint(20)
   ctCollectionId: bigint(20)
   --
   friendlyURLEntryId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   languageId: varchar(75) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   urlTitle: varchar(255)
}
class FriendlyURLEntryMapping {
   friendlyURLEntryMappingId: bigint(20)
   ctCollectionId: bigint(20)
   --
   friendlyURLEntryId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
}
class JournalArticle {
   id_: bigint(20)
   ctCollectionId: bigint(20)
   --
   DDMStructureId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   articleId: varchar(75)
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   resourcePrimKey: bigint(20)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   externalReferenceCode: varchar(75)
   folderId: bigint(20)
   treePath: longtext
   version: double
   urlTitle: varchar(255)
   DDMTemplateKey: varchar(75)
   defaultLanguageId: varchar(75)
   layoutUuid: varchar(75)
   displayDate: datetime(6)
   expirationDate: datetime(6)
   reviewDate: datetime(6)
   indexable: tinyint(4)
   smallImage: tinyint(4)
   smallImageId: bigint(20)
   smallImageSource: int(11)
   smallImageURL: longtext
   lastPublishDate: datetime(6)
   status: int(11)
   statusByUserId: bigint(20)
   statusByUserName: varchar(75)
   statusDate: datetime(6)
}
class JournalArticleLocalization {
   articleLocalizationId: bigint(20)
   ctCollectionId: bigint(20)
   --
   articlePK: bigint(20) <FK>
   companyId: bigint(20) <FK>
   languageId: varchar(75)
   mvccVersion: bigint(20)
   title: varchar(800)
   description: longtext
}
class JournalArticleResource {
   resourcePrimKey: bigint(20)
   ctCollectionId: bigint(20)
   --
   articleId: varchar(75) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
}
class ResourcePermission {
   resourcePermissionId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   roleId: bigint(20) <FK>
   ownerId: bigint(20) <FK>
   name: varchar(255) <PFK>
   primKey: varchar(255) <PFK>
   primKeyId: bigint(20) <PFK>
   mvccVersion: bigint(20)
   scope: int(11)
   actionIds: bigint(20)
   viewActionId: tinyint(4)
}
class SocialActivity {
   activityId: bigint(20)
   ctCollectionId: bigint(20)
   --
   activitySetId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   parentClassNameId: bigint(20) <PFK>
   parentClassPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   createDate: bigint(20)
   mirrorActivityId: bigint(20)
   type_: int(11)
   extraData: longtext
   receiverUserId: bigint(20)
}
class SocialActivitySet {
   activitySetId: bigint(20)
   ctCollectionId: bigint(20)
   --
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   createDate: bigint(20)
   modifiedDate: bigint(20)
   type_: int(11)
   extraData: longtext
   activityCount: int(11)
}

DDMFieldAttribute }o--|| DDMField:FieldId
JournalArticleLocalization }o-up-|| JournalArticle:ArticlePK-Id_
JournalArticle }o-down-|| JournalArticleResource:ResourcePrimKey
SocialActivity }o-left-|| SocialActivitySet:ActivitySetId
SocialActivity }o-left-o| JournalArticle:ClassPK
SocialActivitySet }o-left-o| JournalArticle:ClassPK
ResourcePermission }o-up-o| JournalArticle:ClassPK
FriendlyURLEntryMapping }|-left-|| FriendlyURLEntry:FriendlyURLEntryId
FriendlyURLEntryLocalization }|-right-|| FriendlyURLEntry:FriendlyURLEntryId
FriendlyURLEntry }o-right-o| JournalArticle:ClassPK
FriendlyURLEntryLocalization }o-right-o| JournalArticle:ClassPK
FriendlyURLEntryMapping }o-right-o| JournalArticle:ClassPK
DDMStructureLink }o--o| JournalArticle:ClassPK
DDMTemplateLink }o--o| JournalArticle:ClassPK
AssetEntry }o--o| JournalArticle:ClassPK
DDMField }o--o| JournalArticle:StorageId-Id_
DDMFieldAttribute }o--o| JournalArticle:StorageId-Id_

@enduml
